Package: gitlab
Version: 8.13.11+dfsg1-8
Severity: normal

Dear Maintainer,


after have an instance of gitlab operative I have found that if I try to import
an existing git repo using this:

bundle exec rake gitlab:import:repos['import-repos/'] RAILS_ENV=production


I got this error:


 bundle exec rake gitlab:import:repos['import-repos/'] RAILS_ENV=production
D, [2018-02-08T17:10:40.489831 #1633] DEBUG -- sentry: ** [Raven] Specified
'postgresql' for database adapter, but the gem is not loaded. Add `gem 'pg'` to
your Gemfile (and ensure its version is at the minimum required by
ActiveRecord). excluded from capture due to environment or should_capture 
callback
rake aborted!
Gem::LoadError: Specified 'postgresql' for database adapter, but the gem is not
loaded. Add `gem 'pg'` to your Gemfile (and ensure its version is at the minimum
required by ActiveRecord).
/usr/share/gitlab/config/environment.rb:5:in `<top (required)>'
Gem::LoadError: pg is not part of the bundle. Add it to Gemfile.
/usr/share/gitlab/config/environment.rb:5:in `<top (required)>'
Tasks: TOP => gitlab:import:repos => environment
(See full trace by running task with --trace)


Please, could you give me some workaround to solve this issue?

Best regards,

Leopold



-- System Information:
Debian Release: 9.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.9.0-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8),
LANGUAGE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages gitlab depends on:
ii  adduser                                   3.115
ii  asciidoctor                               1.5.4-2
ii  bc                                        1.06.95-9+b3
ii  bundler                                   1.13.6-2
ii  dbconfig-pgsql                            2.0.8
ii  debconf [debconf-2.0]                     1.5.61
ii  exim4                                     4.89-2+deb9u2
ii  exim4-daemon-light [mail-transport-agent  4.89-2+deb9u2
ii  git                                       1:2.11.0-3+deb9u2
ii  gitlab-shell                              3.6.6-4
ii  gitlab-workhorse                          0.8.5+debian-3+b2
ii  init-system-helpers                       1.48
ii  libjs-chartjs                             1.0.2-1
ii  libjs-clipboard                           1.4.2-1
ii  libjs-fuzzaldrin-plus                     0.3.1+git.20161008.da2cb58+dfsg-4
ii  libjs-graphael                            0.5+dfsg-1
ii  libjs-jquery-cookie                       11-3
ii  libjs-jquery-history                      11-3
ii  libjs-jquery-nicescroll                   3.6.6-1
ii  lsb-base                                  9.20161125
ii  nginx                                     1.10.3-1+deb9u1
ii  nginx-full [nginx]                        1.10.3-1+deb9u1
ii  nodejs                                    4.8.2~dfsg-1
ii  openssh-client                            1:7.4p1-10+deb9u2
ii  postgresql-client                         9.6+181+deb9u1
ii  postgresql-client-9.6 [postgresql-client  9.6.6-0+deb9u1
ii  postgresql-contrib                        9.6+181+deb9u1
ii  rake                                      10.5.0-2
ii  redis-server                              3:3.2.6-1
ii  ruby                                      1:2.3.3
ii  ruby-ace-rails-ap                         4.1.1-1
ii  ruby-activerecord-session-store           1.0.0-2
ii  ruby-acts-as-taggable-on                  4.0.0-2
ii  ruby-addressable                          2.4.0-1
ii  ruby-after-commit-queue                   1.3.0-1
ii  ruby-akismet                              2.0.0-1
ii  ruby-allocations                          1.0.3-1+b2
ii  ruby-asana                                0.4.0-1
ii  ruby-attr-encrypted                       3.0.1-2
ii  ruby-babosa                               1.0.2-2
ii  ruby-base32                               0.3.2-3
ii  ruby-bootstrap-sass                       3.3.5.1-5
ii  ruby-browser                              2.2.0-2
ii  ruby-cal-heatmap-rails                    3.6.0+dfsg-1
ii  ruby-carrierwave                          0.10.0+gh-4
ii  ruby-charlock-holmes                      0.7.3+dfsg-2+b3
ii  ruby-chronic                              0.10.2-3
ii  ruby-chronic-duration                     0.10.6-1
ii  ruby-coffee-rails                         4.1.0-2
ii  ruby-coffee-script-source                 1.10.0-1
ii  ruby-connection-pool                      2.2.0-1
ii  ruby-creole                               0.5.0-2
ii  ruby-d3-rails                             3.5.6+dfsg-1
ii  ruby-default-value-for                    3.0.1-1
ii  ruby-devise                               4.2.0-1
ii  ruby-devise-two-factor                    3.0.0-2
ii  ruby-diffy                                3.0.6-1
ii  ruby-doorkeeper                           4.2.0-3
ii  ruby-dropzonejs-rails                     0.7.1-1
ii  ruby-email-reply-parser                   0.5.8-1
ii  ruby-fog-aws                              0.12.0-1
ii  ruby-fog-azure                            0.0.2-1
ii  ruby-fog-core                             1.42.0-1
ii  ruby-fog-google                           0.3.2-1
ii  ruby-fog-local                            0.3.0-1
ii  ruby-fog-openstack                        0.1.6-4
ii  ruby-fog-rackspace                        0.1.1-4
ii  ruby-fogbugz                              0.2.1-3
ii  ruby-font-awesome-rails                   4.6.3.0-2
ii  ruby-gemnasium-gitlab-service             0.2.6-1
ii  ruby-gemojione                            3.1.0-2
ii  ruby-github-linguist                      4.7.2-2
ii  ruby-github-markup                        1.5.1+dfsg-1
ii  ruby-gitlab-flowdock-git-hook             1.0.1-2
ii  ruby-gitlab-git                           10.7.0-1
ii  ruby-gollum-lib                           4.2.1+debian-1
ii  ruby-gon                                  6.1.0-1
ii  ruby-grape                                0.16.2-2
ii  ruby-grape-entity                         0.6.0-1
ii  ruby-hamlit                               2.7.5-1
ii  ruby-health-check                         2.4.0-1
ii  ruby-hipchat                              1.5.2-3
ii  ruby-html-pipeline                        1.11.0-1
ii  ruby-htmlentities                         4.3.3-1
ii  ruby-httparty                             0.13.7-1+deb9u1
ii  ruby-influxdb                             0.2.3-1
ii  ruby-jquery-atwho-rails                   1.3.2-2
ii  ruby-jquery-rails                         4.2.1-2
ii  ruby-jquery-scrollto-rails                1.4.3+dfsg-1
ii  ruby-jquery-turbolinks                    2.1.0~dfsg-1
ii  ruby-jquery-ui-rails                      6.0.1+dfsg-2
ii  ruby-kaminari                             0.17.0-3
ii  ruby-licensee                             8.0.0-2
ii  ruby-loofah                               2.0.3-2
ii  ruby-mail                                 2.6.4+dfsg1-1
ii  ruby-mail-room                            0.8.1-1
ii  ruby-method-source                        0.8.2-2
ii  ruby-mousetrap-rails                      1.4.6-6
ii  ruby-nested-form                          0.3.2-2
ii  ruby-net-ssh                              1:3.2.0-1
ii  ruby-nokogiri                             1.6.8.1-1
ii  ruby-nprogress-rails                      0.1.6.7-2
ii  ruby-oauth2                               1.2.0-1
ii  ruby-octokit                              4.3.0-1
ii  ruby-oj                                   2.17.4-1
ii  ruby-omniauth                             1.3.1-1
ii  ruby-omniauth-auth0                       1.4.1-1
ii  ruby-omniauth-azure-oauth2                0.0.6-1
ii  ruby-omniauth-bitbucket                   0.0.2-1
ii  ruby-omniauth-cas3                        1.1.3-1
ii  ruby-omniauth-crowd                       2.2.3-2
ii  ruby-omniauth-facebook                    4.0.0-2
ii  ruby-omniauth-github                      1.1.2-2
ii  ruby-omniauth-gitlab                      1.0.2-1
ii  ruby-omniauth-google-oauth2               0.4.1-1
ii  ruby-omniauth-kerberos                    0.3.0-3
ii  ruby-omniauth-ldap                        1.0.5-1
ii  ruby-omniauth-saml                        1.7.0-1
ii  ruby-omniauth-shibboleth                  1.2.1-1
ii  ruby-omniauth-twitter                     1.2.1-2
ii  ruby-org                                  0.9.12-2
ii  ruby-paranoia                             2.1.3-1
ii  ruby-pg                                   0.18.4-2
ii  ruby-premailer-rails                      1.9.2-2
ii  ruby-prof                                 0.16.2+dfsg-2
ii  ruby-rack-attack                          4.3.1-1
ii  ruby-rack-cors                            0.4.0-1+deb9u1
ii  ruby-rack-oauth2                          1.4.0-1
ii  ruby-rails                                2:4.2.7.1-1
ii  ruby-rails-deprecated-sanitizer           1.0.3-2
ii  ruby-rainbow                              2.1.0-1
ii  ruby-raphael-rails                        2.1.2~dfsg-1
ii  ruby-recaptcha                            3.2.0-2
ii  ruby-redcarpet                            3.3.4-2
ii  ruby-redcloth                             4.3.2-2
ii  ruby-redis-namespace                      1.5.2-3
ii  ruby-redis-rails                          4.0.0-1
ii  ruby-request-store                        1.3.0-1
ii  ruby-responders                           2.3.0-1
ii  ruby-rouge                                2.0.2-1
ii  ruby-rqrcode-rails3                       0.1.7-1
ii  ruby-sanitize                             2.1.0-2
ii  ruby-sass-rails                           5.0.6-1
ii  ruby-seed-fu                              2.3.5-1
ii  ruby-select2-rails                        3.5.9.3-2
ii  ruby-sentry-raven                         2.1.2-2
ii  ruby-settingslogic                        2.0.9-3
ii  ruby-sidekiq                              4.2.3+dfsg-1
ii  ruby-sidekiq-cron                         0.4.2-6
ii  ruby-sinatra                              1.4.7-5
ii  ruby-six                                  0.2.0-3
ii  ruby-slack-notifier                       1.2.1-1
ii  ruby-sprockets                            3.7.0-1
ii  ruby-sprockets-es6                        0.9.2-1
ii  ruby-state-machines-activerecord          0.4.0-1
ii  ruby-sys-filesystem                       1.1.7-2
ii  ruby-task-list                            1.0.6-1
ii  ruby-tinder                               1.10.1-2
ii  ruby-truncato                             0.7.8-1
ii  ruby-turbolinks                           2.5.3-3
ii  ruby-u2f                                  0.2.1-2
ii  ruby-uglifier                             2.7.2+dfsg-2
ii  ruby-underscore-rails                     1.8.2+dfsg-1
ii  ruby-unf                                  0.1.4-2
ii  ruby-unicorn-worker-killer                0.4.4-1
ii  ruby-version-sorter                       2.1.0+dfsg-1
ii  ruby-virtus                               1.0.5-3
ii  ruby-vmstat                               2.2.0-2
ii  ruby-wikicloth                            0.8.1+dfsg-4
ii  ucf                                       3.0036
ii  unicorn                                   5.2.0-1

Versions of packages gitlab recommends:
ii  certbot  0.19.0-1~bpo9+1

gitlab suggests no packages.

-- debconf information:
  gitlab/letsencrypt_email:
  gitlab/remote/newhost: localhost
  gitlab/pgsql/admin-user: postgres
  gitlab/missing-db-package-error: abort
* gitlab/remote/host: localhost
  gitlab/pgsql/changeconf: false
  gitlab/db/app-user: gitlab@localhost
  gitlab/internal/skip-preseed: false
  gitlab/pgsql/method: TCP/IP
* gitlab/letsencrypt: false
* gitlab/database-type: pgsql
  gitlab/remote/port:
  gitlab/dbconfig-upgrade: true
  gitlab/internal/reconfiguring: false
  gitlab/install-error: abort
  gitlab/purge: false
  gitlab/purge_data: true
* gitlab/fqdn: gitioc.upc.edu
  gitlab/pgsql/manualconf:
  gitlab/pgsql/no-empty-passwords:
  gitlab/pgsql/authmethod-user: password
* gitlab/dbconfig-install: true
  gitlab/upgrade-backup: true
  gitlab/remove-error: abort
  gitlab/dbconfig-remove: true
* gitlab/dbconfig-reinstall: false
  gitlab/passwords-do-not-match:
  gitlab/pgsql/authmethod-admin: ident
  gitlab/upgrade-error: abort
* gitlab/ssl: true
  gitlab/db/dbname: gitlab_production
* gitlab/user: gitlab

-- 
--
Linux User 152692     GPG: 05F4A7A949A2D9AA
Catalonia
-------------------------------------
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing in e-mail?

Reply via email to